<!DOCTYPE html><html lang="en" data-reactroot=""><head><title>Information Property List - Bundle Resources | Apple Developer Documentation</title><meta content="width=device-width, initial-scale=1 viewport-fit=cover" name="viewport"/><meta data-pid="492525"/><link href="https://www.apple.com/wss/fonts?families=SF+Pro,v1|SF+Mono,v1|SF+Pro+Icons,v1" media="all" rel="stylesheet" type="text/css"/><link href="/documentation/__assets/application-e5bb1544.css" media="all" rel="stylesheet" type="text/css"/><noscript><link href="/documentation/__assets/nojs-c6be9131.css" media="all" rel="stylesheet" type="text/css"/></noscript><link rel="mask-icon" href="/documentation/__assets/apple-logo.svg" color="#000"/><link rel="shortcut icon" href="/documentation/__assets/favicon.ico"/><script src="/documentation/__assets/shared-b7676010.js"></script><script id="init-data" type="application/json">{"variant":{"paths":["documentation\/bundleresources\/information_property_list"],"usr":"plist:Information_Property_List"}}</script><script src="/documentation/__assets/init-6128d031.js"></script></head><body><div id="_omniture_top">
      <script>
        var s_account="awdappledeveloper"
      </script>
      <script src="https://developer.apple.com/assets/metrics/scripts/analytics.js"></script>
      <script>
        s.pageName= AC && AC.Tracking && AC.Tracking.pageName();
        s.channel="www.documentation.developer"

        var s_code=s.t();if(s_code)document.write(s_code)
      </script>
    </div><div id="app"><div><a href="#main" id="skip-localnav" class="showonfocus hidden">Skip Navigation</a><aside id="ac-gn-segmentbar" class="ac-gn-segmentbar" lang="en-US" dir="ltr"></aside><input type="checkbox" id="ac-gn-menustate" class="ac-gn-menustate"/><nav id="ac-globalnav" class="no-js" role="navigation" aria-label="Global" data-hires="false" data-analytics-region="global nav" lang="en-US" dir="ltr" data-store-locale="us" data-store-api="/[storefront]/shop/bag/status" data-search-locale="en_US" data-search-api="/search-services/suggestions/">
      <div class="ac-gn-content">
        <ul class="ac-gn-header">
          <li class="ac-gn-item ac-gn-menuicon">
            <label class="ac-gn-menuicon-label" for="ac-gn-menustate" aria-hidden="true">
              <span class="ac-gn-menuicon-bread ac-gn-menuicon-bread-top">
                <span class="ac-gn-menuicon-bread-crust ac-gn-menuicon-bread-crust-top"></span>
              </span>
              <span class="ac-gn-menuicon-bread ac-gn-menuicon-bread-bottom">
                <span class="ac-gn-menuicon-bread-crust ac-gn-menuicon-bread-crust-bottom"></span>
              </span>
            </label>
            <a href="#ac-gn-menustate" role="button" class="ac-gn-menuanchor ac-gn-menuanchor-open" id="ac-gn-menuanchor-open">
              <span class="ac-gn-menuanchor-label">Global Nav Open Menu</span>
            </a>
            <a href="#" role="button" class="ac-gn-menuanchor ac-gn-menuanchor-close" id="ac-gn-menuanchor-close">
              <span class="ac-gn-menuanchor-label">Global Nav Close Menu</span>
            </a>
          </li>
          <li class="ac-gn-item ac-gn-apple">
            <a class="ac-gn-link ac-gn-link-apple-developer" href="/" data-analytics-title="appledeveloper home" id="ac-gn-firstfocus-small">
              <span class="ac-gn-link-text">Apple Developer</span>
            </a>
          </li>
        </ul>
        <div class="ac-gn-search-placeholder-container" role="search">
          <div class="ac-gn-search ac-gn-search-small">
            <a id="ac-gn-link-search-small" class="ac-gn-link" href="/search/" data-analytics-title="search" data-analytics-click="search" data-analytics-intrapage-link aria-label="Search Developer">
              <div class="ac-gn-search-placeholder-bar">
                <div class="ac-gn-search-placeholder-input">
                  <div class="ac-gn-search-placeholder-input-text" aria-hidden="true">
                    <div class="ac-gn-link-search ac-gn-search-placeholder-input-icon"></div>
                    <span class="ac-gn-search-placeholder">Search Developer</span>
                  </div>
                </div>
                <div class="ac-gn-searchview-close ac-gn-searchview-close-small ac-gn-search-placeholder-searchview-close">
                  <span class="ac-gn-searchview-close-cancel" aria-hidden="true">Cancel</span>
                </div>
              </div>
            </a>
          </div>
        </div>
        <ul class="ac-gn-list">
          <li class="ac-gn-item ac-gn-apple">
            <a class="ac-gn-link ac-gn-link-apple-developer" href="/" data-analytics-title="appledeveloper home" id="ac-gn-firstfocus">
              <span class="ac-gn-link-text">Apple Developer</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-discover">
            <a class="ac-gn-link ac-gn-link-discover" href="/discover/" data-analytics-title="discover">
              <span class="ac-gn-link-text">Discover</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-design">
            <a class="ac-gn-link ac-gn-link-design" href="/design/" data-analytics-title="design">
              <span class="ac-gn-link-text">Design</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-develop">
            <a class="ac-gn-link ac-gn-link-develop" href="/develop/" data-analytics-title="develop">
              <span class="ac-gn-link-text">Develop</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-distribute">
            <a class="ac-gn-link ac-gn-link-distribute" href="/distribute/" data-analytics-title="distribute">
              <span class="ac-gn-link-text">Distribute</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-dsupport">
            <a class="ac-gn-link ac-gn-link-dsupport" href="/support/" data-analytics-title="dsupport">
              <span class="ac-gn-link-text">Support</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-account">
            <a class="ac-gn-link ac-gn-link-account" href="/account/" data-analytics-title="account">
              <span class="ac-gn-link-text">Account</span>
              </a>
          </li>
          <li class="ac-gn-item ac-gn-item-menu ac-gn-search" role="search">
            <a id="ac-gn-link-search" class="ac-gn-link ac-gn-link-search" href="/search/" data-analytics-title="search" data-analytics-click="search" data-analytics-intrapage-link aria-label="Search Developer"></a>
          </li>
        </ul>
        <aside id="ac-gn-searchview" class="ac-gn-searchview" role="search" data-analytics-region="search">
          <div class="ac-gn-searchview-content">
            <div class="ac-gn-searchview-bar">
              <div class="ac-gn-searchview-bar-wrapper">
                <form id="ac-gn-searchform" class="ac-gn-searchform" action="/search/" method="get">
                  <div class="ac-gn-searchform-wrapper">
                    <input id="ac-gn-searchform-input" class="ac-gn-searchform-input" type="text" name="q" aria-label="Search Developer" placeholder="Search Developer" autocorrect="off" autocapitalize="off" autocomplete="off" spellcheck="false" role="combobox" aria-autocomplete="list" aria-expanded="true" aria-owns="quicklinks suggestions" />
                    <button id="ac-gn-searchform-submit" class="ac-gn-searchform-submit" type="submit" disabled aria-label="Submit Search"></button>
                    <button id="ac-gn-searchform-reset" class="ac-gn-searchform-reset" type="reset" disabled aria-label="Clear Search">
                        <span class="ac-gn-searchform-reset-background"></span>
                      </button>
                  </div>
                </form>
                <button id="ac-gn-searchview-close-small" class="ac-gn-searchview-close ac-gn-searchview-close-small" aria-label="Cancel Search">
                    <span class="ac-gn-searchview-close-cancel" aria-hidden="true">
                      Cancel
                    </span>
                  </button>
              </div>
            </div>
            <aside id="ac-gn-searchresults" class="ac-gn-searchresults" data-string-quicklinks="Quick Links" data-string-suggestions="Suggested Searches" data-string-noresults=""></aside>
          </div>
          <button id="ac-gn-searchview-close" class="ac-gn-searchview-close" aria-label="Cancel Search">
              <span class="ac-gn-searchview-close-wrapper">
                <span class="ac-gn-searchview-close-left"></span>
                <span class="ac-gn-searchview-close-right"></span>
              </span>
            </button>
        </aside>
          </div>
    </nav><div class="ac-gn-blur"></div><div id="ac-gn-curtain" class="ac-gn-curtain"></div><div id="ac-gn-placeholder" class="ac-nav-placeholder"></div><input type="checkbox" id="localnav-menustate" class="localnav-menustate" aria-hidden="true"/><nav id="localnav" class="localnav localnav-dark theme-dark localnav-scrim localnav-noborder" role="navigation" aria-label="API Reference" data-sticky="true"><div class="localnav-wrapper"><div class="referencenav"><div class="localnav-background"></div><div class="localnav-content"><a href="/documentation" class="localnav-title">Documentation</a><div class="localnav-menu"><a href="#localnav-menustate" id="localnav-menustate-open" class="localnav-menucta-anchor localnav-menucta-anchor-open"><span class="localnav-menucta-anchor-label" aria-hidden="true">Open Menu</span></a><a href="#" id="localnav-menustate-close" class="localnav-menucta-anchor localnav-menucta-anchor-close"><span class="localnav-menucta-anchor-label" aria-hidden="true">Close Menu</span></a><div class="localnav-menu-tray"><ul aria-label="Breadcrumbs" class="localnav-menu-items localnav-menu-breadcrumbs"><li class="localnav-menu-item localnav-menu-breadcrumb-item"><a class="localnav-menu-link" href="/documentation/bundleresources">Bundle Resources</a></li><li class="localnav-menu-item localnav-menu-breadcrumb-item"><div class="localnav-menu-breadcrumb-current-container localnav-menu-link current"><span aria-current="page" class="localnav-menu-breadcrumb-current">Information Property List</span></div></li></ul><ul class="localnav-menu-items localnav-menu-settings" data-breadcrumbs-count="2"><li class="localnav-menu-setting language-container"><div class="language-toggle-container"><label for="language-toggle" class="language-toggle-label">Language:</label><select id="language-toggle" class="language-dropdown localnav-menu-link" style="width:auto"><option selected="" value="swift">Swift</option><option value="occ">Objective-C</option></select></div><div class="language-list-container"><span class="localnav-menu-setting-label">Language:</span><ul class="language-list"><li class="language-list-item"><span data-language="swift" aria-current="page" class="current-language">Swift</span></li><li class="language-list-item"><a href="/documentation/bundleresources/information_property_list?language=objc" class="localnav-menu-setting-link">Objective-C</a></li></ul></div></li><li class="localnav-menu-setting"><span class="localnav-menu-setting-label">API Changes:</span><a href="/documentation/bundleresources/information_property_list?changes=latest_minor" class="localnav-menu-setting-link changes-toggle changes-toggle-show" aria-label="Show API Changes">Show</a></li></ul></div><div class="localnav-actions"><div class="localnav-action localnav-action-menucta" aria-hidden="true"><label for="localnav-menustate" class="localnav-menucta"><span class="localnav-menucta-chevron"></span></label></div></div></div></div></div></div></nav><label for="localnav-menustate" id="localnav-curtain" aria-hidden="true"></label><main role="main" id="main" class="main" tabindex="0"><div class="topic-title"><span class="eyebrow">Property List</span><h1 class="topic-heading"><span>Information Property List</span></h1></div><div class="topic-container section-content row"><div class="topic-description column large-9 medium-9 small-12"><div class="topic-abstract abstract formatted-content"><div><p>A resource containing key-value pairs that identify and configure a bundle.</p></div></div></div><div class="topic-summary column large-3 medium-3 small-12"><div class="topic-summary-section sdks" role="complementary" aria-label="SDKs"><p class="topic-summary-section-label subsection-label">SDKs</p><ul class="topic-summary-section-list"><li class="topic-summary-section-item sdk"><span aria-label="iOS 2.0+, Available on iOS 2.0 and later" role="text" title="Available on iOS 2.0 and later">iOS 2.0+</span></li><li class="topic-summary-section-item sdk"><span aria-label="macOS 10.0+, Available on macOS 10.0 and later" role="text" title="Available on macOS 10.0 and later">macOS 10.0+</span></li><li class="topic-summary-section-item sdk"><span aria-label="tvOS 9.0+, Available on tvOS 9.0 and later" role="text" title="Available on tvOS 9.0 and later">tvOS 9.0+</span></li><li class="topic-summary-section-item sdk"><span aria-label="watchOS 2.0+, Available on watchOS 2.0 and later" role="text" title="Available on watchOS 2.0 and later">watchOS 2.0+</span></li></ul></div><div class="topic-summary-section frameworks" role="complementary" aria-label="Framework"><p class="topic-summary-section-label subsection-label">Framework</p><ul class="topic-summary-section-list"><li class="topic-summary-section-item"><span>Bundle Resources</span></li></ul></div><div class="topic-summary-section onthispage"><nav class="onthispage-nav" aria-labelledby="onthispage-title"><p id="onthispage-title" class="topic-summary-section-label subsection-label">On This Page</p><ul class="topic-summary-section-list"><li class="topic-summary-section-item"><a href="#discussion" class="icon icon-after icon-chevrondowncircle">Discussion</a></li><li class="topic-summary-section-item"><a href="#topics" class="icon icon-after icon-chevrondowncircle">Topics</a></li></ul></nav></div></div><div class="topic-content column large-9 medium-9 small-12" id="topic-content"><section id="discussion" class="section"><h2>Discussion</h2><div class="formatted-content"><div><p>Bundles, which represent executables of different kinds, contain an information property list file. This collection of key-value pairs specifies how the system should interpret the associated bundle. Some key-value pairs characterize the bundle itself, while others configure the app, framework, or other entity that the bundle represents. Some keys are required, while others are specific to particular features of the executable.</p><p>The information property list file always has the name <code class="code-voice"><span>Info<wbr/>.plist</span></code>. The file name is case-sensitive and must begin with a capital letter <code class="code-voice"><span>I</span></code>. Its location within the bundle depends on both the bundle type and the platform. For example, iOS app bundles store the file in the bundle’s root directory, whereas macOS app bundles place the <code class="code-voice"><span>Info<wbr/>.plist</span></code> file in the <code class="code-voice"><span>Contents</span></code> directory.</p><p>To access an information property list, you use an instance of the <a class="symbol-name" href="/documentation/foundation/bundle"><code><span>Bundle</span></code></a> class, which represents a bundle on disk. You can get the value for a few common keys by accessing properties of the bundle instance. For example, the <a class="symbol-name" href="/documentation/foundation/bundle/1418023-bundleidentifier"><code><span>bundle<wbr/>Identifier</span></code></a> property contains the value associated with the <a class="symbol-name" href="/documentation/bundleresources/information_property_list/cfbundleidentifier"><code><span>CFBundle<wbr/>Identifier</span></code></a> key. You can obtain the value for an arbitrary key using the <a class="symbol-name" href="/documentation/foundation/bundle/1408696-object"><code><span>object(for<wbr/>Info<wbr/>Dictionary<wbr/>Key:)</span></code></a> method.</p><p>To create an information property list for a bundle, you typically rely on Xcode to prepare the file for your apps and other executable targets, as described in <a href="/documentation/bundleresources/information_property_list/managing_your_app_s_information_property_list">Managing Your App’s Information Property List</a>.</p></div></div></section></div></div><section id="topics" class="contenttable section alt-light-container row"><div class="alt-light"><div class="section-content"><h2 class="contenttable-title">Topics</h2><section id="3374878" class="contenttable-section"><div class="contenttable-container row"><div class="contenttable-section-title-container column large-3 medium-3 small-12"><h3 class="contenttable-section-title">Essentials</h3></div><div class="contenttable-section-content column large-9 medium-9 small-12"><div class="task-topics"><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/managing_your_app_s_information_property_list"><svg xmlns="http://www.w3.org/2000/svg" height="15" viewBox="0 0 22 30" class="svg-icon symbol-name-icon" aria-hidden="true"><title>Article</title><g id="Article" class="svg-icon-small"><path d="M12.87,0H0V2H0V28H0v2H22V9.13ZM20,28H2V2h9V12h9Zm0-18H13V3l7,7Z"></path></g></svg><span>Managing Your App’s Information Property List</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Create and customize an information property list file for your app using Xcode.</p></div></div></div></div></div></div></div></section><section id="3375283" class="contenttable-section"><div class="contenttable-container row"><div class="contenttable-section-title-container column large-3 medium-3 small-12"><h3 class="contenttable-section-title">Core Settings</h3></div><div class="contenttable-section-content column large-9 medium-9 small-12"><div class="task-topics"><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/bundle_configuration"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>Bundle Configuration</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Define basic characteristics of a bundle, like its name, type, and version.</p></div></div></div></div><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/user_interface"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>User Interface</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Configure an app&#x27;s scenes, storyboards, icons, fonts, and other user interface elements.</p></div></div></div></div><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/app_execution"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>App Execution</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Control app launch, execution, and termination.</p></div></div></div></div></div></div></div></section><section id="3375276" class="contenttable-section"><div class="contenttable-container row"><div class="contenttable-section-title-container column large-3 medium-3 small-12"><h3 class="contenttable-section-title">Services</h3></div><div class="contenttable-section-content column large-9 medium-9 small-12"><div class="task-topics"><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/protected_resources"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>Protected Resources</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Control an app’s access to protected system services and user data.</p></div></div></div></div><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/data_and_storage"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>Data and Storage</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Regulate documents, URLs, and other kinds of data movement and storage.</p></div></div></div></div><div class="task-topic"><div class="task-topic-info"><a class="has-adjacent-element symbol-name" href="/documentation/bundleresources/information_property_list/app_services"><svg xmlns="http://www.w3.org/2000/svg" height="16" viewBox="0 0 15 16" class="svg-icon symbol-name-icon" aria-hidden="true"><title>API Collection</title><g class="svg-icon-small" fill-rule="evenodd"><path fill-rule="nonzero" d="M0,0 L15,0 L15,15 L0,15 L0,0 Z M1,14 L14,14 L14,1 L1,1 L1,14 Z"></path><polygon points="4 11 3 11 3 10 4 10"></polygon><polygon points="4 8 3 8 3 7 4 7"></polygon><polygon points="4 5 3 5 3 4 4 4"></polygon><polygon points="12 11 5 11 5 10 12 10"></polygon><polygon points="12 8 5 8 5 7 12 7"></polygon><polygon points="12 5 5 5 5 4 12 4"></polygon></g></svg><span>App Services</span></a><div class="task-topic-abstract task-topic-data abstract formatted-content"><div><p>Configure services provided by the app, like support for giving directions or using game controllers.</p></div></div></div></div></div></div></div></section></div></div></section></main><section id="globalfooter-wrapper"><footer id="globalfooter" role="contentinfo">
        <nav class="footer-breadory">
          <a href="/" class="home breadcrumbs-home"><span aria-hidden="true"></span><span class="breadcrumbs-home-label">Developer</span></a>
          <section class="breadcrumbs">
            <ol class="breadcrumbs-list">
              <li><a href=/documentation>Documentation</a></li>
            </ol>
          </section>
          <div id="directorynav" class="directorynav">
            <div id="dn-cola" class="column">
              <h3><a href="/discover/">Discover</a></h3>
              <ul>
                <li><a href="/macos/">macOS</a></li>
                <li><a href="/ios/">iOS</a></li>
                <li><a href="/watchos/">watchOS</a></li>
                <li><a href="/tvos/">tvOS</a></li>
                <li><a href="/safari/">Safari and Web</a></li>
                <li><a href="/games/">Games</a></li>
                <li><a href="/business/">Business</a></li>
                <li><a href="/education/">Education</a></li>
                <li><a href="/wwdc/">WWDC</a></li>
              </ul>
            </div>
            <div id="dn-colb" class="column">
              <h3><a href="/design/">Design</a></h3>
              <ul>
                <li><a href="/design/human-interface-guidelines/">Human Interface Guidelines</a></li>
                <li><a href="/design/resources/">Resources</a></li>
                <li><a href="/videos/design/">Videos</a></li>
                <li><a href="/design/awards/">Apple Design Awards</a></li>
                <li><a href="/accessibility/">Accessibility</a></li>
                <li><a href="/internationalization/">Internationalization</a></li>
                <li><a href="/accessories/">Accessories</a></li>
              </ul>
            </div>
            <div id="dn-colc" class="column">
              <h3><a href="/develop/">Develop</a></h3>
              <ul>
                <li><a href="/xcode/">Xcode</a></li>
                <li><a href="/swift/">Swift</a></li>
                <li><a href="/swift-playgrounds/">Swift Playgrounds</a></li>
                <li><a href="/testflight/">TestFlight</a></li>
                <li><a href="/documentation/">Documentation</a></li>
                <li><a href="/videos/">Videos</a></li>
                <li><a href="/download/">Downloads</a></li>
              </ul>
            </div>
            <div id="dn-cold" class="column">
              <h3><a href="/distribute/">Distribute</a></h3>
              <ul>
                <li><a href="/programs/">Developer Program</a></li>
                <li><a href="/app-store/">App Store</a></li>
                <li><a href="/app-store/review/">App Review</a></li>
                <li><a href="/macos/distribution/">Mac Software</a></li>
                <li><a href="/business/distribute/">Apps for Business</a></li>
                <li><a href="/safari/extensions/">Safari Extensions</a></li>
                <li><a href="/app-store/marketing/guidelines/">Marketing Resources</a></li>
                <li><a href="/softwarelicensing/">Trademark Licensing</a></li>
              </ul>
            </div>
            <div id="dn-cole" class="column">
              <h3><a href="/support/">Support</a></h3>
              <ul>
                <li><a href="https://forums.developer.apple.com">Developer Forums</a></li>
                <li><a href="/bug-reporting/">Bug Reporting</a></li>
                <li><a href="/terms/">License Agreements</a></li>
                <li><a href="/system-status/">System Status</a></li>
                <li><a href="/contact/">Contact Us</a></li>
              </ul>
              <h3><a href="/account/">Account</a></h3>
              <ul>
                <li><a href="/account/ios/certificate/">Certificates, IDs &amp; Profiles</a></li>
                <li><a href="https://appstoreconnect.apple.com/">App Store Connect</a></li>
              </ul>
            </div>
          </div>
        </nav>
        <div class="ac-gf-footer-legal">
          <div class="ac-gf-footer-news"> To receive the latest developer news, visit and subscribe to our <a href="/news/">News and Updates</a>.
          </div>
          <div class="ac-gf-footer-legal-copyright">Copyright © 2020 Apple Inc. All rights reserved.</div>
          <div class="ac-gf-footer-legal-links">
            <a href="https://www.apple.com/legal/internet-services/terms/site.html" class="first">Terms of Use</a>
            <a href="https://www.apple.com/privacy/privacy-policy/">Privacy Policy</a>
            <a href="/bug-reporting/">Report Bugs</a>
            <a href="/contact/submit/?subject=website-feedback">Feedback</a>
          </div>
          <div class="ac-gf-footer-language-links">
            <a href="/cn/" class="first">简体中文</a>
            <a href="/jp/">日本語</a>
            <a href="/kr/">한국어</a>
          </div>
        </div>
      </footer></section></div></div><script id="bootstrap-data" type="application/json">{"id":3112092,"title":{"content":"Information Property List"},"abstract":"<div><p>A resource containing key-value pairs that identify and configure a bundle.<\/p><\/div>","discussion":"<div><p>Bundles, which represent executables of different kinds, contain an information property list file. This collection of key-value pairs specifies how the system should interpret the associated bundle. Some key-value pairs characterize the bundle itself, while others configure the app, framework, or other entity that the bundle represents. Some keys are required, while others are specific to particular features of the executable.<\/p><p>The information property list file always has the name <code class=\"code-voice\"><span>Info<wbr\/>.plist<\/span><\/code>. The file name is case-sensitive and must begin with a capital letter <code class=\"code-voice\"><span>I<\/span><\/code>. Its location within the bundle depends on both the bundle type and the platform. For example, iOS app bundles store the file in the bundle’s root directory, whereas macOS app bundles place the <code class=\"code-voice\"><span>Info<wbr\/>.plist<\/span><\/code> file in the <code class=\"code-voice\"><span>Contents<\/span><\/code> directory.<\/p><p>To access an information property list, you use an instance of the <a class=\"symbol-name\" href=\"\/documentation\/foundation\/bundle\"><code><span>Bundle<\/span><\/code><\/a> class, which represents a bundle on disk. You can get the value for a few common keys by accessing properties of the bundle instance. For example, the <a class=\"symbol-name\" href=\"\/documentation\/foundation\/bundle\/1418023-bundleidentifier\"><code><span>bundle<wbr\/>Identifier<\/span><\/code><\/a> property contains the value associated with the <a class=\"symbol-name\" href=\"\/documentation\/bundleresources\/information_property_list\/cfbundleidentifier\"><code><span>CFBundle<wbr\/>Identifier<\/span><\/code><\/a> key. You can obtain the value for an arbitrary key using the <a class=\"symbol-name\" href=\"\/documentation\/foundation\/bundle\/1408696-object\"><code><span>object(for<wbr\/>Info<wbr\/>Dictionary<wbr\/>Key:)<\/span><\/code><\/a> method.<\/p><p>To create an information property list for a bundle, you typically rely on Xcode to prepare the file for your apps and other executable targets, as described in <a href=\"\/documentation\/bundleresources\/information_property_list\/managing_your_app_s_information_property_list\">Managing Your App’s Information Property List<\/a>.<\/p><\/div>","usr":"plist:Information_Property_List","name":"Information Property List","domain":"plist","kind":"schema","availability":[{"platform":"iOS","current":"13.5","introduced":"2.0"},{"platform":"macOS","current":"10.15.4","introduced":"10.0"},{"platform":"tvOS","current":"13.4","introduced":"9.0"},{"platform":"watchOS","current":"6.2","introduced":"2.0"}],"module":[{"title":{"content":"Bundle Resources"},"paths":["documentation\/bundleresources"],"platforms":["iOS","macOS","tvOS","watchOS"]}],"attributes":{"allowedTypesDetails":[{"value":[{"baseType":"dictionary","declaration":"<declaration><codeLine xml:space=\"preserve\">dictionary<\/codeLine><\/declaration>"}],"platforms":["iOS","macOS","tvOS","watchOS"]}]},"declaration":[{"content":"<span>dictionary Information Property List\n<\/span>","platforms":["iOS","macOS","tvOS","watchOS"],"allowedTypesDetails":[{"baseType":"dictionary","declaration":"<span>dictionary\n<\/span>"}]}],"role":"dictionarySymbol","language":"swift","roleHeading":"Property List","languages":["occ","swift"],"variants":{"occ":{"paths":["documentation\/bundleresources\/information_property_list"],"usr":"plist:Information_Property_List"},"swift":{"paths":["documentation\/bundleresources\/information_property_list"],"usr":"plist:Information_Property_List"}},"diffAvailability":{"major":{"change":"modified","platform":"Xcode","versions":["11.0","11.5"]}},"pid":492525,"paths":["documentation\/bundleresources\/information_property_list"],"hierarchy":[[{"id":3112365,"role":"collection","title":{"content":"Bundle Resources"},"paths":["documentation\/bundleresources"]}]],"legalNotices":{"copyright":"Copyright &copy; 2020 Apple Inc. All rights reserved.","termsOfUse":"https:\/\/www.apple.com\/legal\/internet-services\/terms\/site.html","privacyPolicy":"https:\/\/www.apple.com\/privacy\/privacy-policy"},"tasks":[{"id":3374878,"role":"task","symbols":[{"id":3375310,"role":"article","paths":["documentation\/bundleresources\/information_property_list\/managing_your_app_s_information_property_list"],"abstract":"<div><p>Create and customize an information property list file for your app using Xcode.<\/p><\/div>","title":{"content":"Managing Your App’s Information Property List"}}],"title":{"content":"Essentials"}},{"id":3375283,"role":"task","symbols":[{"id":3374879,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/bundle_configuration"],"hasChildren":true,"abstract":"<div><p>Define basic characteristics of a bundle, like its name, type, and version.<\/p><\/div>","title":{"content":"Bundle Configuration"}},{"id":3375099,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/user_interface"],"hasChildren":true,"abstract":"<div><p>Configure an app&#x27;s scenes, storyboards, icons, fonts, and other user interface elements.<\/p><\/div>","title":{"content":"User Interface"}},{"id":3375101,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/app_execution"],"hasChildren":true,"abstract":"<div><p>Control app launch, execution, and termination.<\/p><\/div>","title":{"content":"App Execution"}}],"title":{"content":"Core Settings"}},{"id":3375276,"role":"task","symbols":[{"id":3375067,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/protected_resources"],"hasChildren":true,"abstract":"<div><p>Control an app’s access to protected system services and user data.<\/p><\/div>","title":{"content":"Protected Resources"}},{"id":3376041,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/data_and_storage"],"hasChildren":true,"abstract":"<div><p>Regulate documents, URLs, and other kinds of data movement and storage.<\/p><\/div>","title":{"content":"Data and Storage"}},{"id":3375066,"role":"collectionGroup","paths":["documentation\/bundleresources\/information_property_list\/app_services"],"hasChildren":true,"abstract":"<div><p>Configure services provided by the app, like support for giving directions or using game controllers.<\/p><\/div>","title":{"content":"App Services"}}],"title":{"content":"Services"}}]}</script><script src="/documentation/__assets/TopicDetail-e635bc11.js"></script><script src="/documentation/__assets/analytics-8acae80a.js"></script></body></html>